<%@ page import="com.s3ai.entities.Cinema" %>
<%@ page import="com.s3ai.entities.Ticket" %>
<%@ page import="com.s3ai.entities.User" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.UUID" %><%--
  Created by IntelliJ IDEA.
  User: s3rius
  Date: 08.12.2019
  Time: 22:04
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Edit ticket</title>
    <%@include file='../templates/imports.jsp' %>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/css/tickets.css">
    <script src="${pageContext.request.contextPath}/static/js/tickets.js"></script>
</head>
<body class="themed-gradient">
<%
    Ticket ticket = (Ticket) request.getSession().getAttribute("ticket");
    String id = ticket.getId() == null ? "" : ticket.getId().toString();
    String movie = ticket.getMovie() == null ? "" : ticket.getMovie();
    String userId = ticket.getUser() == null ? "" : ticket.getUser().getId().toString();
    String cinemaId = ticket.getCinema() == null ? "" : ticket.getCinema().getId().toString();
    String action = id == null ? "Create" : "Update";
    List<Cinema> cinemas = (List<Cinema>) request.getSession().getAttribute("cinemas");
    List<User> users = (List<User>) request.getSession().getAttribute("users");
%>

<!-- Navigation -->
<%@include file='../templates/header.jsp' %>
<div class="editing">
    <div class="container justify-content-center">

        <form id="ticketForm" class="d-flex justify-content-center" method="post"
              action="${pageContext.request.contextPath}/ticket">
            <fieldset>

                <legend>
                    <div class="text-center"><h2><b class="white"><%out.print(action);%> ticket</b></h2></div>
                </legend>
                <br>
                <input type="hidden" name="id" value="<%out.print(id);%>">

                <div class="form-group">
                    <div class="inputGroupContainer">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-film"></i></div>
                            </div>
                            <input type="text"
                                   class="form-control validate"
                                   id="ticketMovie"
                                   name="movie"
                                   placeholder="Movie" value="<%out.println(movie);%>" required>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="inputGroupContainer">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-kaaba"></i></div>
                            </div>
                            <select class="form-control" id="exampleFormControlSelect2" name="cinemaId" required>
                                <option value="">Cinema</option>
                                <%
                                    for (Cinema cinema : cinemas) {
                                        if (cinema.getId().toString().equals(cinemaId)) {
                                            out.println("<option value=\"" + cinema.getId().toString() + "\" selected>" + cinema.getName() + " in " + cinema.getLocation() + "</option>");

                                        } else {
                                            out.println("<option value=\"" + cinema.getId().toString() + "\">" + cinema.getName() + " in " + cinema.getLocation() + "</option>");
                                        }
                                    }
                                %>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="inputGroupContainer">
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text"><i class="fas fa-user-circle"></i></div>
                            </div>
                            <select class="form-control" id="userSelect" name="userId" required>
                                <option value="">User</option>
                                <%
                                    for (User user : users) {
                                        if (user.getId().toString().equals(userId)) {
                                            out.println("<option value=\"" + user.getId().toString() + "\" selected>" + user.getName() + " aged " + user.getAge() + "</option>");

                                        } else {
                                            out.println("<option value=\"" + user.getId().toString() + "\">" + user.getName() + " at " + user.getAge() + "</option>");
                                        }
                                    }
                                %>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="justify-content-center">
                    <button type="submit" class="btn btn-primary w-100"><i class="fas fa-check"></i>Submit</button>
                </div>
            </fieldset>
        </form>
    </div>
</div>
</body>
</html>
